@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@300;600;800&display=swap');

:root{
    --primary: #24797c;
    --primaryLight: #3AB359;
    --secondary: #296354;
    --tertiary: #0daee4;
}

a {
    text-decoration: none !important;
    color: initial !important;
    cursor: pointer !important;
}

html, body{
    margin: 0px;
    padding: 0px;
}

body {
    font-size: 1.1rem;
    font-family: 'Raleway', sans-serif;
    font-weight: 300;
}

b, strong {
    font-weight: 600;
}

h1, h2, h3, h4, h5 {
    font-weight: 800;
    margin: 0;
}

p{
    margin-top: 0;
    margin-bottom: 1rem;
}

button {
    border: 0;
    padding: 0.5rem 1rem;
    background-color: var(--primaryLight);
    color: white;
    font-family: inherit;
    font-size: inherit;
    font-weight: 600;
    border-radius: 0.5rem !important;
    cursor: pointer;
}

.btn-secondary{
    background-color: transparent;
    border: 2px solid var(--tertiary);
    color: var(--tertiary);
}

nav{
    background-color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0rem 6rem;
    height: 7.5rem;
    position: sticky;
    top: 0;
    z-index: 10;
}

.logo{
    width: 100%;
    max-width: 20rem;
}

nav a{
    color: black;
    font-weight: 600;
    text-decoration: none;
    padding: 0.5rem;
}

nav a i{
    color: var(--secondary) !important;
}

nav a:hover{
    color: var(--tertiary);
    opacity: 0.8;
}

nav .active{
    font-weight: bold;
    color: var(--tertiary)
}

.menu-icon{
    color: var(--primary);
    font-size: 1.5rem;
    padding: 0.5rem;
    display: none;
}

header{
    width: 100%;
    height: calc(100vh - 7.5rem);
    background: url('/assets/img/banner.jpeg') var(--primary);
    background-size: cover;
    background-position: center center;
}

main {
    padding: 2rem 6rem;
    min-height: 80vh;
}

.prevent-scroll{
    overflow-y: hidden;
}

.page-title{
    margin-bottom: 2rem;
    padding: 2rem;
    color: white;
    background-color: var(--primaryLight);
    text-align: center;
}

.page-title i{
    color: var(--secondary);
    margin-right: 0.5rem;
}

.gallery{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
}

.gallery-full{
    grid-template-columns: 1fr;
    gap: 1rem;
}

.gallery img{
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: 0.5rem;
}

.card{
    color: inherit;
    text-decoration: none;
    background-color: #f8f8f8;
    border: 1px solid rgb(230, 230, 230);
    padding: 1rem;
    border-radius: 0.5rem;
}

.card h3{
    font-size: 1.2rem;
    padding: 1rem 0 0.2rem 0;
    font-weight: 600;
}

.card p{
    margin: 0;
    font-size: 0.9rem;
    opacity: 0.4;
}

.about-image{
    width: 100%;
    max-width: 20rem;
    float: left;
    border-radius: 0.5rem;
    margin: 0 3rem 1.5rem 0;
}

.link-fixed{
    position: fixed;
    bottom: 2rem;
    right: 0;
    padding: 0.7rem 1rem;
    border-top-left-radius: 10rem;
    border-bottom-left-radius: 10rem;
    background-color: var(--tertiary);
    color: white;
    font-weight: bold;
    text-decoration: none;
    font-size: 0.9rem;
    box-shadow: 0 0.2rem 1rem rgba(0, 0, 0, 0.3);
    z-index: 20;
}

.link-fixed i{
    margin-left: 0.5rem;
}

.footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2rem 6rem;
    background-color: #F2F2F2;
}

.credits{
    display: flex;
    justify-content: space-between;
    padding: 1rem 6rem;
    font-size: 0.8rem;
    background: #E7E7E7;
}

.dropdown{
    position: relative;
    display: inline-block;
    font-weight: 600;
    padding: 0.5rem;
    cursor: pointer;
}

.dropdown:hover .dropdown-list{
    display: block;
}

.dropdown-list{
    position: absolute;
    top: 2.4rem;
    width: 250px;
    border-radius: 0.3rem;
    border: 1px solid rgba(0, 0, 0, 0.1);
    background-color: white;
    display: none;
	z-index: 40;
}

.dropdown-list a{
    width: 100%;
    display: block;
    padding: 0.5rem;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.dropdown-list a:hover{
    background: rgba(0, 0, 0, 0.1);
}

@media screen and (max-width: 1366px) {
    .gallery{
        grid-template-columns: repeat(3, 1fr);
    }
}

@media screen and (max-width: 756px) {
    .menu-icon{
        display: inline-block;
    }

    .menu-list{
        display: none !important;
        position: fixed;
        left: 0;
        top: 5.5rem;
        background-color: #f2f2f2;
        height: calc(100vh - 5.5rem);
        overflow-y: scroll;
        padding-top: 1rem;
		width: 100%;
    }

    nav {
        padding: 0rem 1rem;
        height: 5.5rem;
    }

    header{
        background: url('/assets/img/banner-mobile.jpg') var(--primary);
        background-size: cover;
        background-position: center center;
    }

    main {
        padding: 0rem 1rem;
    }

    .menu-list a{
        padding: 1rem 1.5rem;
        display: block;
        width: 100%;
    }
	
	.dropdown{
	 	padding: 1rem 1.5rem;
	}
	
	.dropdown-list{
		top: 4rem;
		overflow: hidden;
	}

    nav .logo{
        max-width: 50vw;
    }

    .opened{
        display: block !important;
    }

    .gallery{
        grid-template-columns: repeat(1, 1fr);
    }

    .gallery-full{
        grid-template-columns: 1fr;
    }

    .about-image{
        width: 100%;
        max-width: 100%;
        float: left;
        border-radius: 0.5rem;
        margin: 0;
        margin-bottom: 2rem;
    }
	
	.footer {
		display: flex;
		align-items: flex-start;
		justify-content: center;
		flex-direction: column;
		padding: 2rem 1rem;
		background-color: #F2F2F2;
		gap: 2rem;
	}
    
}